.QuestFill {
  text-align: center;
  font-family: "Rubik", sans-serif;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 999;
  display: flex;
  flex-direction: column;
  color: white;
  justify-content: center;
  align-items: center;
  display: none;
  h2 {
    margin-bottom: 30px;
    color: #c85c5c;
  }

  .buttonQ {
    display: flex;
    column-gap: 15px;
    button {
      &:hover {
        transform: scale(0.9);
        box-shadow: 0 0 10px #f5f5f5;
        border: none;
      }
      cursor: pointer;
      width: 140px;
      padding: 0 15 0 15px;
      border-radius: 25px;
      height: 35px;
      border: 1px solid #c85c5c;
      background: none;
      color: #f5f5f5;
    }
  }
}
.confirWraper {
  display: none;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 100;
  background-color: rgba(123, 43, 211, 0.9);
  .confirm {
    text-align: center;
    color: white;
    padding-top: 250px;
    font-family: "Rubik", sans-serif;
    h2 {
      margin-bottom: 70px;
    }

    button {
      margin-right: 15px;
      &:hover {
        transform: scale(0.9);
        box-shadow: 0 0 10px #f5f5f5;
        border: none;
      }
      cursor: pointer;
      width: 120px;
      border-radius: 25px;
      height: 35px;
      border: 1px solid #f5f5f5;
      background: none;
      color: #f5f5f5;
    }
  }
}

.infoUser {
  width: 420px;
  min-height: 140px;
  display: none;
  align-items: center;
  // border: 1px solid;
  margin: 0 auto;
  justify-content: space-between;
  padding: 10px;
  font-family: "Rubik", sans-serif;

  .page {
    border-radius: 5px;
    //   background-color: #406882;
    // border: 1px solid #544179;
    padding: 5px;
    width: 150px;
    height: 70px;
    position: relative;
    box-shadow: 0 0 12px #544179;
    //   border: 1px solid red;
    h2:nth-child(1) {
      text-align: left;
      color: #2c272e;
    }

    #PN {
      color: #2c272e;
      font-size: 14px;
      width: 40px;
      height: 40px;
      line-height: 40px;
      text-align: center;
      border-radius: 50%;
      position: absolute;
      z-index: 1;
      background-color: #ffe699;
      right: 0;
      transform: translateX(17.5px);
      top: 20px;
      box-shadow: 0 0 10px #ffe699;
    }
  }
  .profil {
    font-size: 14px;
    width: fit-content;
    height: 70px;
    padding: 10px;
    border-radius: 5px;
    //   background-color: #406882;
    span {
      font-size: 25px;
    }
    h4:nth-child(1) {
      color: #2c272e;
    }

    #profName {
      color: #c85c5c;
    }
  }

  @media (min-width: 768px) {
    width: 767px;
    padding: 20px;
  }
  @media (min-width: 1023px) {
    width: 1023px;
    padding: 30px;
  }
  @media (min-width: 1439px) {
    width: 100%;
    padding: 30px;
  }
}

@media (min-width: 1023px) {
  // .infoUser {
  //   .page {
  //     h2:nth-child(1) {
  //       text-align: center;
  //       line-height: 55px;
  //     }
  //     #PN {
  //       width: 80px;
  //       height: 40px;
  //       border-radius: 0;
  //       right: -350px;
  //       background: none;
  //       border-top: 2px solid #ffe699;
  //       border-bottom: 2px solid #ffe699;
  //       box-shadow: none;
  //     }
  //   }
  // }
}

@media (min-width: 1440px) {
  // .infoUser {
  //   .page {
  //     #PN {
  //       width: 80px;
  //       height: 40px;
  //       border-radius: 0;
  //       right: -588px;
  //       background: none;
  //       border-top: 2px solid #ffe699;
  //       border-bottom: 2px solid #ffe699;
  //       box-shadow: none;
  //     }
  //   }
  // }
}

.landing {
  transition: 0.2s linear;
  font-family: "Rubik", sans-serif;
  width: 420px;
  height: 400px;
  padding: 100px 50px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background: linear-gradient(
    to bottom,
    rgba(239, 239, 239, 0.9),
    rgba(255, 255, 255, 0.9)
  );
  margin: 0 auto;
  h2 {
    width: 310px;
    font-size: 18px;
    height: fit-content;
    text-align: center;
    border-radius: 10px;
    padding: 5px;
    color: #544179;

    i {
      font-size: 30px;
    }
  }

  #alrt {
    font-size: 11px;
    color: red;
    display: none;
    i {
      margin-right: 10px;
    }
  }

  input {
    border: none;
    width: 250px;
    height: 40px;
    border-radius: 7px;
    text-align: center;
    &:focus {
      outline: none;
    }
  }

  button {
    cursor: pointer;
    width: 85px;
    height: 30px;
    border: none;
    background-color: #544179;
    color: #f5f5f5;
    border-radius: 5px;
    transition: 0.2s linear;
    &:hover {
      transform: scale(0.9);
      box-shadow: 0 0 10px #2c272e;
    }
  }

  @media (min-width: 768px) {
    width: 767px;
    h2 {
      transform: scale(1.4);
    }
    input {
      transform: scale(1.2);
    }
  }

  @media (min-width: 1023px) {
    width: 1023px;
    height: 520px;
    h2 {
      transform: scale(1.4);
    }
    input {
      transform: scale(1.2);
    }
  }
  @media (min-width: 1439px) {
    width: 100%;
    h2 {
      transform: scale(1.4);
    }
    input {
      transform: scale(1.2);
    }
  }
}

.container {
  transition: 0.3s linear;
  display: none;
  min-height: 400px;
  background: linear-gradient(
    to bottom,
    rgba(239, 239, 239, 0.9),
    rgba(255, 255, 255, 0.9)
  );
  margin: 0 auto;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  padding: 60px;
  width: 420px;
  // border: 1px solid;
  .questwrap {
    //   border: 1px solid red;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    h1 {
      font-size: 23px;
      min-height: 82px;
      margin-bottom: 40px;
    }
  }

  .answerWrap {
    width: 100%;
    min-height: 80px;
    margin: 15px auto 0 auto;
    text-align: left;
    .each {
      display: flex;
      column-gap: 15px;
      input {
        display: none;
        &:checked + label {
          background-color: #ffe699;
          box-shadow: 0 0 7px #2c272e;
          padding: 3px;
          border-radius: 3px;
        }
      }
      label {
        cursor: pointer;
      }
    }
  }

  .but {
    margin: 25px auto;
    //   border: 1px solid;
    width: 170px;
    display: flex;
    justify-content: space-between;
    #prev {
      background: none;
      border: none;
      width: 45px;
      height: 30px;
      border: none;
      // border-left: 1px solid #544179;
      // border-right: 1px solid #544179;
      color: #544179;
      border-radius: 7px;
      transition: 0.2s linear;
      cursor: pointer;
      transform: scale(1.1);
      &:hover {
        background-color: #544179;
        color: #f5f5f5;
      }
    }

    #next {
      background: none;
      border: none;
      width: 45px;
      height: 30px;
      border: none;
      // border-bottom: 1px solid #544179;
      // border-top: 1px solid #544179;
      color: #544179;
      border-radius: 7px;
      transition: 0.2s linear;
      cursor: pointer;
      transform: scale(1.1);
      &:hover {
        background-color: #544179;
        color: #f5f5f5;
      }
    }
  }

  .submit {
    cursor: pointer;
    text-align: center;
    display: none;
    button {
      border: none;
      width: 170px;
      height: 30px;
      border: 1px solid #544179;
      color: #544179;
      border-radius: 5px;
      transition: 0.2s linear;
      &:hover {
        background-color: #544179;
        color: #f5f5f5;
      }
    }
  }
  @media (min-width: 768px) {
    width: 767px;
    .answerWrap {
      transform: scale(1.1);
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      .each {
        justify-content: space-between;
        width: 200px;
        display: flex;
        align-items: center;
        label {
          width: 150px;
        }
      }
    }
  }
  @media (min-width: 1023px) {
    width: 1023px;
    height: 470px;
    .answerWrap {
      margin-bottom: 70px;
      width: 790px;
      height: 45px;
      transform: scale(1.15);
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      text-align: center;
      .each {
        justify-content: space-between;
        width: 170px;
        display: flex;
        align-items: center;
        label {
          width: 150px;
        }
      }
    }
  }

  @media (min-width: 1439px) {
    width: 100%;
    .answerWrap {
      margin-bottom: 70px;
      width: 790px;
      transform: scale(1.15);
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      .each {
        justify-content: space-between;
        width: 170px;
        display: flex;
        align-items: center;
        text-align: center;
        label {
          width: 150px;
        }
      }
    }
  }
}

.finish {
  justify-content: center;
  align-items: center;
  display: none;
  min-height: 273px;
  background-color: #f5f5f5;
  margin: 0 auto;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  padding: 10px;
  width: 420px;
  background-image: url(/assets/images/NG.webp);
  background-size: cover;
  h1 {
    background-color: #f5f5f5;
    padding: 5px;
    border-radius: 5px;
    font-size: 11px;
    text-align: center;
    color: red;
    transform: translateY(-157px);
  }
  @media (min-width: 768px) {
    width: 767px;
    min-height: 500px;
    h1 {
      transform: translateY(-275px) scale(1.1);
    }
  }
  @media (min-width: 1023px) {
    width: 1023px;
    min-height: 700px;
    h1 {
      transform: translateY(-375px) scale(1.2);
    }
  }
  @media (min-width: 1439px) {
    width: 100%;
    min-height: 700px;
    h1 {
      transform: translateY(-375px) scale(1.2);
    }
  }
}

.retry {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 50px;
  width: 420px;
  margin: auto;
  height: 147px;
  background-color: #544179;
  font-family: "Rubik", sans-serif;
  color: #f5f5f5;
  .ans {
    display: flex;
    column-gap: 20px;
    button {
      width: 120px;
      height: 40px;
      cursor: pointer;
      background: #f5f5f5;
      color: #2c272e;
      border-radius: 10px;
      border: none;
      transition: 0.3s linear;
      &:hover {
        transform: scale(0.9);
        box-shadow: 0 0 7px #f7ff93;
      }
    }
  }
  @media (min-width: 768px) {
    width: 767px;
  }
  @media (min-width: 1023px) {
    width: 1023px;
  }
  @media (min-width: 1439px) {
    width: 100%;
  }
}

.infoUser.done {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #544179;
  color: #f5f5f5;
  text-align: center;
  border-top: 5px double #f5f5f5;
}

// #dark .container {
//   background: #2c272e;
// }

// #dark .questwrap h1 {
//   color: #f5f5f5;
// }

// #dark .landing {
//   background: #2c272e;
// }

// #dark header {
//   background: lighten($color: #2c272e, $amount: 5);
// }

#dark {
  .infoUser {
    background: linear-gradient(
      to right,
      rgba(30, 30, 30, 0.8),
      rgba(200, 200, 200, 0.8)
    );
    .page {
      box-shadow: 0 0 12px #dddddd;
      h2 {
        color: #d3dedc;
      }

      #PN {
        background-color: rgba(25, 25, 25, 0.8);
        color: white;
        box-shadow: none;
        // border-color: #c85c5c;
      }
    }
  }
  header {
    background: rgba(25, 25, 25, 0.8);
    .logo {
      h2 {
        color: #c85c5c;
      }
    }
    .mode {
      #dark {
        background: rgba(250, 140, 106, 0.8);
        box-shadow: 0 0 2px #f5f5f5;
        color: rgba(200, 200, 200, 0.7);
        i {
          color: #f7ff93;
          text-shadow: 0 0 7px #f5f5f5;
        }
      }
      #light {
        background: linear-gradient(
          to left,
          rgba(25, 25, 25, 0.8),
          rgba(150, 150, 150, 0.8)
        );
        box-shadow: 0 0 2px #f5f5f5;
        color: rgba(200, 200, 200, 0.7);
      }
    }
  }
  .container {
    background: linear-gradient(
      to left,
      rgba(15, 15, 15, 0.8),
      rgba(50, 50, 50, 0.8)
    );
    .questwrap {
      h1 {
        color: #f5f5f5;
      }
    }

    .answerWrap {
      .each {
        display: flex;
        column-gap: 15px;
        input {
          display: none;
          &:checked + label {
            background-color: #f5f5f5;
            box-shadow: 0 0 3px #ffe699;
            padding: 3px;
            border-radius: 3px;
            color: #2c272e;
          }
        }
        label {
          cursor: pointer;
        }
      }
    }
    .but {
      button {
        border-color: #dddddd;
        color: #dddddd;
        &:hover {
          color: #2c272e;
          background: #dddddd;
        }
      }
    }
    label {
      color: #f5f5f5;
    }
  }

  .landing {
    background: linear-gradient(
      to left,
      rgba(15, 15, 15, 0.8),
      rgba(50, 50, 50, 0.8)
    );
    h2 {
      color: #f5f5f5;
    }
    button {
      background: #dddddd;
      color: #2c272e;
      box-shadow: 0 0 3px #f5f5f5;
    }
  }

  .retry {
    background: linear-gradient(
      to left,
      rgba(15, 15, 15, 0.8),
      rgba(50, 50, 50, 0.8)
    );
    .label {
      color: #f5f5f5;
    }

    .ans {
      button {
        background: #f5f5f5;
        color: #2c272e;
        border: 1px solid #f5f5f5;
        border-radius: 7px;
        width: 120px;
        height: 40px;
      }
    }
  }

  footer {
    main {
      background: rgba(25, 25, 25, 0.8);
      .loc {
        h2 {
          color: #c85c5c;
          opacity: 0.8;
        }
      }

      .join {
        h2 {
          color: #c85c5c;
          opacity: 0.8;
        }
      }
    }
    .copy {
      background: rgba(15, 15, 15, 0.8);
    }
  }
}
